#ifndef SCRIPT_H
#define SCRIPT_H

#include <string>

using namespace std;

class Player; // Forward declaration

class script
{
public:
  script(); // Default constructor
  script(string &str); // Copy constructor
  script(const char *str); // Copy constructor

  void setString(string &str);
  void setString(const char *str);

  bool executeScript(Player *p); // Run the script against a player
  bool loadScript(const char *filename); // Load a script from a file - does not parse anything
  
  ~script(); // Destructor
private:
  string scriptstr;
};

#endif
